manibuilder: Allow warnings in NetBSD and CentOS builds

Their old compilers stumble because of `-Wmissing-braces`.

Change-Id: Ia9ee17fd1f0c8b191091f89ffbf44329c6521d7d
Signed-off-by: Nico Huber <nico.h@gmx.de>
Reviewed-on: https://review.coreboot.org/c/flashrom/+/33339
Reviewed-by: Angel Pons <th3fanbus@gmail.com>
Reviewed-by: David Hendricks <david.hendricks@gmail.com>
Tested-by: build bot (Jenkins) <no-reply@coreboot.org>
1 file changed